import http from "@/api";

/**
 * @name 全局模块(在公司下面的数据)
 */

//获取供应商
export const getSupplierApi = (params: any) => {
    const { name, orgCode } = params;
    return http.get<any>(`SysConfig/GetSupplierOrOrg/?name=${name}&orgCode=${orgCode}`);
};
export const getOrgsApi = () => {
    return http.get<any>(`SysConfig/GetOrg`);
};
//通知单点登录
export const getUcOfflineApi = () => {
    return http.post<any>(`uc/offline`);
};

//全局顶部按钮操作
//提交
export const commitListApi = (url: string, params: any) => {
    return http.post<any>(url, params);
};
export const getSubUcStockByNameApi = (id: any) => {
    return http.get<any>(`SysConfig/GetSubUcStockByName/?name=${id}`);
};
export const getClineLoApi = (log: any) => {
    return http.get<any>(`ClientLog/Log/${log}`);
};
